
<br>
<br>
<br>
<!--/ Property Single Star /-->
<section class="property-single nav-arrow-b">
  <div class="container">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <div class="col-sm-12">
            <div class="title-box-d section-t4">
              <h1 class="title-d"> Descriptif du produit et disponibilités</h1>
            </div>
          </div>
        </div>
        <div class="row justify-content-between">
          <div class="col-md-5 col-lg-4">
            <div class="property-summary">
              <div class="row">
                <div class="col-sm-12">
                  <div class="title-box-d section-t4">
                    <h3 class="title-d">Description de l'objet</h3>
                  </div>
                </div>
              </div>
              <img src="{{entityD.urlImage}}" width="270" height="295" alt="Image de l'objet {{entityD.name}}" />
              <div class="summary-list">
                <br>
                <ul class="list">
                  <li class="d-flex justify-content-between">
                    <strong>Objet:</strong>
                    <span>{{entityD.name}}</span>
                  </li>
                  <li class="d-flex justify-content-between">
                    <strong>Marque:</strong>
                    <span>{{entityD.brand}}</span>
                  </li>
                  <li class="d-flex justify-content-between">
                    <strong>Durée de la location:</strong>
                    <span>{{entityD.rentalDurationInHours}} heures</span>
                  </li>
                  <li class="d-flex justify-content-between">
                    <strong>Prix si abonnement:</strong>
                    <span>{{entityD.priceSub}}€</span>
                  </li>
                  <li class="d-flex justify-content-between">
                    <strong>Prix ponctuel:</strong>
                    <span>{{entityD.pricePonctual}}€</span>
                  </li>
                  <li class="d-flex justify-content-between">
                    <strong>Prix si dépassement !</strong>
                    <span>{{entityD.priceExtra}}€</span>
                  </li>
                  <li class="d-flex justify-content-between">
                    <strong>Etat:</strong>
                    <span>{{entityD.state}}</span>
                  </li>
                  <li class="d-flex justify-content-between">
                    <strong>Caution:</strong>
                    <span>{{entityD.deposit}}€</span>
                  </li>
                </ul>
                <div *ngIf='clickedDateR'>
                  <div class="title-box-d section-t4">
                    <h3 class="title-d">Récapitulatif de la reservation</h3>
                  </div>
                  <ul class="list">
                    <li class="d-flex justify-content-between">
                      <strong>Votre réservation débute :</strong>
                      <span> {{clickedDateR | date:'d MMM à hh:mm'}} </span>
                    </li>
                    <li class="d-flex justify-content-between">
                      <strong>ajout de crénaux</strong>
                      <div class="col-4">
                        <input class="form-control" [(ngModel)]="prixEstimer" type="number" id="number" min="0"
                          placeholder="0" (click)=calcul(); />
                      </div>
                    </li>
                    <li class="d-flex justify-content-between">
                      <strong>et se termine le :</strong>
                      <span> {{endDate | date:'d MMM à HH:mm'}} </span>
                    </li>
                    <li class="d-flex justify-content-between">
                      <strong>Le prix sera de :</strong>
                      <span>{{prix}} € </span>
                    </li>
                  </ul>
                  <button type="button" class="btn btn-outline-success" data-toggle="modal" data-target="#exampleModal">
                    Valider la reservation
                  </button>

                  <!-- Modal -->
                  <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog"
                    aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title" id="exampleModalLabel">Confirmer la réservation</h5>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                          </button>
                        </div>
                        <div class="modal-body">
                          Etes vous sûr de vouloir comfirmer la réservation ?
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                          <button type="button" class="btn btn-primary" (click)=create() onclick="$('.modal-backdrop').remove();$('#modal-clear').click(function(){});$('#exampleModal').modal('hide');" >Confirmer </button>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-md-7 col-lg-7 section-md-t3">
            <div class="row">
              <div class="col-sm-12">
                <div class="title-box-d">
                  <h3 class="title-d">Description</h3>
                </div>
              </div>
            </div>
            <div class="property-description">
              <p class="description color-text-a">
                {{entityD.description}}
              </p>
              <p class="description color-text-a no-margin">
                {{entityD.rules}}
              </p>
              <p class="description color-text-a no-margin">
                Lors de sa dernière utilisation, il a été noté que :"{{entityD.stateComment}} "
              </p>
              <p class="description color-text-a no-margin">
                Vous pouvez réserver plusieurs créneaux à la suite.
                Vous ne pouvez pas réserver deux créneaux qui ne sont pas à la suite
              </p>
            </div>
            <br>
            <div class="title-box-d">
              <h3 class="title-d">Disponibilités</h3>
            </div>
            <mwl-demo-component *ngIf="bordel" [entityD]='entityD' [prixEstimer]='prixEstimer' (outputDate)='date($event)'></mwl-demo-component>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>